new version won't install

Reports about issues that you encounter in Suffusion
Forum rules
1. No offensive language and no mocking
2. Please do a thorough search before you post something. Trust us, there is a high probability that the question you are asking has been asked previously.
3. No soliciting. You cannot post here soliciting bids for people offer you quotes, or even offer money to people for some work. You will be moderated if you do so. If you are looking for help, please post your request on http://jobs.wordpress.net or http://codepoet.com
4. Please be reasonable. You are getting software and support. For free. Complicated requests from a general purpose theme are not welcome and some volunteers might lose patience with you.
5. Please do your due diligence. If you posted a query and we answered with a link, take the trouble to go through the link contents.
6. Please post with complete information. Requests for help MUST be accompanied with your URL, particularly if you are asking something like "Why am I seeing a blank space?"

new version won't install

Postby Partos » 26 Oct 2009, 22:46

I installed the most recent upgrade. My host is media temple. My version of wordpress is 2.85. The theme won't load as it says the template is missing. Help! I would like to keep using this theme.
Partos
 
Posts: 1
Joined: 26 Oct 2009, 22:44

Re: new version won't install

Postby sayontan » 27 Oct 2009, 05:27

Hi,
Can you access your site through an FTP client? If so, please go to your WordPress installation folder and navigate to wp-content/themes. Delete the folder called "suffusion" there.

Now go to your WordPress admin menu and go to "Add New Themes". Search for "suffusion" and install the theme, then activate it. It should work now. Let me know if you are still having issues.

BTW, thanks for the donation!

Sayontan.
Sayontan Sinha | http://mynethome.net/blog | http://www.aquoid.com/news
I don't do freelance work (for Suffusion or otherwise), so please don't contact me for quotes or offers.
sayontan
Site Admin
 
Posts: 10168
Joined: 15 Sep 2009, 16:39
Location: Houston, Texas

Re: new version won't install

Postby sayontan » 27 Oct 2009, 05:58

Hi,
I just discovered that there is a problem with the file that WordPress distributes - a lot of files are missing from that distribution. Please download the correct files from here: http://www.aquoid.com/dev/suffusion/suffusion.2.4.9.zip .

I have no clue why the files are missing on WP - the files are there in the version that I submitted, otherwise the theme wouldn't be approved. In any case you should be able to use the zip above. To install it:

1. Unzip the file. It will create a folder called suffusion.
2. Copy this folder to the directory called "themes" under wp-content
3. You should be able to see this theme in your "Add New Themes" page. Go ahead and activate it.

Sayontan.
Sayontan Sinha | http://mynethome.net/blog | http://www.aquoid.com/news
I don't do freelance work (for Suffusion or otherwise), so please don't contact me for quotes or offers.
sayontan
Site Admin
 
Posts: 10168
Joined: 15 Sep 2009, 16:39
Location: Houston, Texas

Re: new version won't install

Postby whiteowl » 05 Nov 2009, 03:22

sayontan wrote:Hi,
I just discovered that there is a problem with the file that WordPress distributes - a lot of files are missing from that distribution. Please download the correct files from here: http://www.aquoid.com/dev/suffusion/suffusion.2.4.9.zip .

I have no clue why the files are missing on WP - the files are there in the version that I submitted, otherwise the theme wouldn't be approved. In any case you should be able to use the zip above. To install it:

1. Unzip the file. It will create a folder called suffusion.
2. Copy this folder to the directory called "themes" under wp-content
3. You should be able to see this theme in your "Add New Themes" page. Go ahead and activate it.

Sayontan.


Hi Sayontan,

Thanks for such a beautiful, versatile theme. I would like to use it for a blog for a friend. I am her web master and am setting up this theme for her.

I am on the most recent version of WordPress. I tried installing Suffusion tonight and had a similar problem to what you are describing. First I installed the older version (I had it from my last theme searches back in September), and it showed up fine. Then I discovered on WordPress.com that you have an updated version, so I downloaded it from WordPress.com and installed it. I got an error message (see below). In fact, I then got this message everywhere I tried to go in the Admin area. So I had to remove WordPress completely and start over. Somehow the Suffusion files from Wordpress.com not only didn't work...they messed up my WordPress installation. It was all new and there are no posts yet, so that isn't really an issue.

So I tried again. I reinstalled WordPress and then installed the "updated" version from WordPress.com. It is listed as Suffusion 2.5.6. It didn't work again, the parse error message first showing up when I clicked on Preview. It says:

Parse error: syntax error, unexpected T_OBJECT_OPERATOR in /home/cverigin/public_html/blog/wp-content/themes/suffusion/functions.php on line 665

Then I discovered that once again, all of Word Press is screwed up. This error message shows up wherever I try to go in the Admin pages. It shows up when I try to go to the actual blog page on Firefox too. So, here I go again. I will delete WordPress from the web space and re-install that, and this time I'll install this version you have here, 2.4.9. Since it's very late now, I'm going to do this work tomorrow!

Any feedback is appreciated! And do you have the new version 2.5.6 available for download somewhere other than WordPress.com? Or should I stick with this version from your site, 2.4.9? Seems so!

It's a bit confusing at this point, but I am sure we'll get it worked out! I was very impressed with your support and responses on WordPress.com and am very happy to see you have a support area. Thank you again for your wonderful work and your generosity and time.
whiteowl
 
Posts: 4
Joined: 05 Nov 2009, 02:48

Re: new version won't install

Postby sayontan » 05 Nov 2009, 06:13

I looked at the code. Line 665 in functions.php refers to this:
Code: Select all
   return wp_count_posts()->publish;


As far as syntax goes, I don't see anything wrong with this. So let me ask you - which version of PHP are you using? I found this on the web: http://www.phpbuilder.com/board/showthr ... t=10340794 . It claims that you need PHP 5 for this kind of syntax.
Sayontan Sinha | http://mynethome.net/blog | http://www.aquoid.com/news
I don't do freelance work (for Suffusion or otherwise), so please don't contact me for quotes or offers.
sayontan
Site Admin
 
Posts: 10168
Joined: 15 Sep 2009, 16:39
Location: Houston, Texas

Re: new version won't install

Postby whiteowl » 05 Nov 2009, 13:48

I don't know what version of PHP is being used by my web host. They keep things very up to date there, so I'm assuming it's fine. Applications like WordPress, BB's, galleries, shopping carts, etc., are installed via Fantastico.

I'll just go in and delete and reinstall WordPress again and then reinstall Suffusion. So, my question is, at this point, till WordPress has your 2.5.6 zip file complete, we use your link for 2.4.9?

I've never had theme installation problems before, so I'm sure your 2.4.9 will be fine. The one I had earlier and tested successfully was 2.2 or something like that.

Thanks for checking!

Layne
whiteowl
 
Posts: 4
Joined: 05 Nov 2009, 02:48

Re: new version won't install

Postby sayontan » 05 Nov 2009, 14:20

In that case please try changing your functions.php file by modifying this function:

Code: Select all
function suffusion_post_count() {
   //global $wp_query, $wpdb;
   return wp_count_posts()->publish;
}


Code: Select all
function suffusion_post_count() {
   $post_count = wp_count_posts();
   return $post_count->publish;
}


Do let me know if this works!! I am certain your PHP version is at fault, and this line change can prove or disprove it. You might need to directly open your functions.php file through your FTP client and make this edit, since you cannot open your admin page either.
Sayontan Sinha | http://mynethome.net/blog | http://www.aquoid.com/news
I don't do freelance work (for Suffusion or otherwise), so please don't contact me for quotes or offers.
sayontan
Site Admin
 
Posts: 10168
Joined: 15 Sep 2009, 16:39
Location: Houston, Texas

Re: new version won't install

Postby tserface » 05 Nov 2009, 15:59

HI Sayontan,

I verified my PHP version and it is PHP Version 4.4.3 so maybe your suspicion is correct about the parsing error. I just reloaded my backup and everything runs fine again, but I love your theme so I hope to be able to upgrade.

For anyone who doesn't know ... it's easy to write a small script to get the PHP version. Just create a file on your root of your site called:

phpinfo.php

with a single line:

<?php phpinfo(); ?>

Then you can run the script using:

http://www.mysite.com/phpinfo.php

And get more information about the version of the PHP then you ever wanted. I'm sure most users already know this, but just in case they don't it's a handy command to have in the root in case you want to check on updates from time to time.

So... it looks like you're right about it being something to do with the PHP version.

Tom
tserface
 
Posts: 4
Joined: 02 Nov 2009, 16:49

Re: new version won't install

Postby whiteowl » 05 Nov 2009, 16:51

I just did a live chat with our host. They have the current version of PHP up and running. It is 5.2. something.

So...do you think I should use the version you linked to here...just stay away from the one on WordPress.com for the time being?

I appreciate all the help here, by the way. Awesome!

Layne
whiteowl
 
Posts: 4
Joined: 05 Nov 2009, 02:48

Re: new version won't install

Postby sayontan » 05 Nov 2009, 23:05

Well, if you have got PHP 5.x running, I would suggest using the latest version from WordPress. If it doesn't work then maybe this fix should be applied.

Nonetheless I will correct this and make it backward-compatible in the next version.
Sayontan Sinha | http://mynethome.net/blog | http://www.aquoid.com/news
I don't do freelance work (for Suffusion or otherwise), so please don't contact me for quotes or offers.
sayontan
Site Admin
 
Posts: 10168
Joined: 15 Sep 2009, 16:39
Location: Houston, Texas

Next

Return to Bug Reports

Who is online

Users browsing this forum: Google [Bot] and 3 guests